Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43535/?format=api
{ "ob_id": 43535, "uuid": "0c9dfec287bf4b6c84435d1182825389", "title": "The GEBCO_2014 Grid - a continuous terrain model of the global oceans and land", "abstract": "The GEBCO_2014 Grid is a global continuous terrain model for ocean and land with a spatial resolution of 30 arc-seconds. The GEBCO_2019 Grid Collection, comprises the following data types: the standard grid (ice surface elevation), and the Source Identifier Grid (SID). The GEBCO_2014 Grid Collection is available in NetCDF format only. Please note the GEBCO 2014 grid is a legacy dataset that has been superseded by more recent releases.", "keywords": "elevation, oceans", "publicationState": "published", "dataPublishedTime": "2014-07-01T00:00:00", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43538/?format=api", "dataPath": "/bodc/gebco/global/gebco_2014", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 4948804328, "numberOfFiles": 9, "fileFormat": "NetCDF" }, "timePeriod": null, "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4696/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/74851/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/74852/?format=api" ], "dataLineage": "The GEBCO_2014 grid has been generated from bathymetric data sets compiled by the Nippon Foundation-GEBCO Seabed 2030 Grid Compilation Team. The global grid has been assembled from these inputs by the Seabed 2030 Global Center, hosted by the National Oceanography Centre, UK at the British Oceanographic Data Centre (BODC). In 2024, these data were moved to CEDA for long-term archival.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/43520/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207886/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207887/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207888/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207889/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207890/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207891/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207892/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/207922/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }